---
hide:
  - footer
---

# Get involved

## :simple-github: GitHub repository

The **DOSBox Staging project** is hosted on [GitHub][github]. Here you'll find
the full source code and various project related documentation. Send us
patches if you improve something! 😄

We are grateful for all community contributions as well as the original DOSBox
project, upon which DOSBox Staging is based.


## :fontawesome-solid-bug: Report an issue

While we do our best to ensure the quality of our releases, every software has
bugs. If you think you've spotted one, please report it in our [issue
tracker](https://github.com/dosbox-staging/dosbox-staging/issues) (requires a
GitHub account).

Alternatively, join our [Discord](#discord) channel to discuss the problem
with one of our friendly staff members.


## :fontawesome-regular-pen-to-square: Wiki

The [DOSBox Staging Wiki][wiki] hosted on GitHub contains lots of useful
tricks & tips, how-to's, lists, and guides that can help newcomers and more
experienced users alike.

We very much recommend perusing it, and if you've spotted an
error or have something to share, please feel free to contribute to it.


## :simple-discord: Discord

Join the team on [Discord][discord] for a good chat over a
virtual beverage of your choice! :beer: :tropical_drink: :coffee:

We only ask you to adhere to our [Code of Conduct](code-of-conduct.md) so
every participant can enjoy the discussion.


## :material-piggy-bank-outline: Make a donation

**DOSBox Staging** is an entirely volunteer-based effort---we're
not getting paid for our activities. However, we have some running
expenses and need to invest in hardware, licenses, and other non-trivial
expenses to keep the team and the project going.

If you wish to make a financial contribution to support us, you can do so at
our [GitHub Sponsors](https://github.com/sponsors/dosbox-staging) or [Open
Collective][opencollective] pages. 

We are grateful for all donations, no matter how big or small!

[github]: https://github.com/dosbox-staging/dosbox-staging
[wiki]: https://github.com/dosbox-staging/dosbox-staging/wiki
[discord]: https://discord.gg/WwAg3Xf
[opencollective]: https://opencollective.com/dosbox-staging

